import { ConfigService } from '../config/config.service';
import { ShellConfigDto } from '../shell/shell-connect.dto';
import { ShellService } from '../shell/shell.service';
export declare class NodeService {
    private readonly shellService;
    private readonly configService;
    constructor(shellService: ShellService, configService: ConfigService);
    listNodes(): ShellConfigDto[];
    addNode(dto: ShellConfigDto): Promise<void>;
}
